#pragma once
using namespace System;

ref class Kontakt
{
private:
   static int anzahl = 0;
   String^ name;
   String^ str;
   String^ plz;
   String^ ort;
   String^ tel;
   String^ telmobil;
   String^ email;

public:
   Kontakt(void);
   Kontakt(String^ name, String^ str, String^ postleitzahl,
      String^ ort, String^ telnr, String^ telnrmobil, String^ email);   

   property String^ Name
   {
      String^ get();
      void set(String^ name);
   }

   property String^ STR
   {
      String^ get();
      void set(String^ str);
   }

   property String^ PLZ
   {
      String^ get();
      void set(String^ postleitzahl);
   }

   property String^ Ort
   {
      String^ get();
      void set(String^ ort);
   }

   property String^ Tel
   {
      String^ get();
      void set(String^ telnr);
   }

   property String^ Telmobil
   {
      String^ get();
      void set(String^ telnr);
   }

   property String^ Email
   {
      String^ get();
      void set(String^ email);
   }

   property static int Anzahl
   {
      int get();      
   }

};